## nvidia-settings-tesla-470 470.256.02

=== samples/Makefile ===
#
# NV-CONTROL samples: Sample tools for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (c) 2010 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk

XNVCTRL_DIR ?= ../src/libXNVCtrl

include $(XNVCTRL_DIR)/xnvctrl.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

CFLAGS                += $(XNVCTRL_CFLAGS)
CFLAGS                += -I $(XNVCTRL_DIR)
CFLAGS                += -I $(OUTPUTDIR)

LDFLAGS               += $(XNVCTRL_LDFLAGS)
LIBS                  += -lXext -lX11


##############################################################################
# samples
##############################################################################

SAMPLE_SOURCES        += nv-control-info.c
SAMPLE_SOURCES        += nv-control-dvc.c
SAMPLE_SOURCES        += nv-control-events.c
SAMPLE_SOURCES        += nv-control-dpy.c
SAMPLE_SOURCES        += nv-control-targets.c
SAMPLE_SOURCES        += nv-control-framelock.c
SAMPLE_SOURCES        += nv-control-3dvisionpro.c
SAMPLE_SOURCES        += nv-control-warpblend.c

##############################################################################
# build rules
##############################################################################

.PHONY: all clean clobber install

# define the rule to build each object file
$(foreach src, $(SAMPLE_SOURCES), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to link each sample app from its corresponding object file
define link_sample_from_object
  $$(OUTPUTDIR)/$(1:.c=): $$(call BUILD_OBJECT_LIST,$(1)) $$(LIBXNVCTRL)
	$$(call quiet_cmd,LINK) $$(CFLAGS) $$(LDFLAGS) $$(BIN_LDFLAGS) -o $$@ $$< $$(LIBXNVCTRL) $$(LIBS)
  all:: $$(OUTPUTDIR)/$(1:.c=)
  SAMPLES += $$(OUTPUTDIR)/$(1:.c=)
endef

$(foreach sample,$(SAMPLE_SOURCES),$(eval $(call link_sample_from_object,$(sample))))


clean clobber:
	rm -rf *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d $(SAMPLES) $(LIBXNVCTRL)

install:
	@# don't install samples, this is just to satisfy the top-level
	@# recursion rule

## nvidia-settings-tesla-470 470.74

=== debian/changelog ===
nvidia-settings-tesla-470 (470.74-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Oct 2021 09:24:00 -0700

nvidia-settings-tesla-470 (470.57.02-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the Tesla 470 driver.
  * Build only a single binary package, no -dev package or shared library.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 15:53:20 +0200

nvidia-settings (470.57.02-1) experimental; urgency=medium

  * New upstream release 470.57.02.
    - Updated the nvidia-settings command line interface to confirm successful
      assignment of string attributes. This makes the behavior more consistent
      with other types of attribute assignments.
  * New upstream release 470.42.01.
    - Updated GPU fan control to be available by default in
      nvidia-settings and NV-CONTROL, for GPU boards that support
      programmable fan control.  Previously, this was only available
      when bit 2 was set in the "Coolbits" X config option.
  * New upstream release 465.19.01.
    - Updated the nvidia-settings control panel to be more consistent about
      displaying layout controls which are only applicable for some displays
      or GPUs connected to the system.
  * Refresh patches.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 14:57:05 +0200

nvidia-settings-tesla-460 (460.91.03-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-460.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 13:39:16 +0200

nvidia-settings (460.91.03-1) unstable; urgency=medium

  * New upstream release 460.91.03.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 12:36:00 +0200

nvidia-settings-tesla-460 (460.73.01-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-460.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 10:50:07 +0200

nvidia-settings (460.73.01-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 460.73.01.

  [ Pino Toscano ]
  * Install nvidia-settings.png in the hicolor icon theme, rather than the
    legacy pixmaps location.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 09:45:09 +0200

nvidia-settings (460.56-1) unstable; urgency=medium

  * New upstream release 460.56.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Mar 2021 10:03:33 +0100

nvidia-settings-tesla-460 (460.32.03-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the Tesla 460 driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Jan 2021 18:56:53 +0100

nvidia-settings (460.32.03-1) unstable; urgency=medium

  * New upstream release 460.32.03.
  * New upstream release 460.27.04.
    - Fixed a bug with the SLI Mosaic Mode configuration dialog in
      nvidia-settings that left displays enabled when they were not needed in
      the selected configuration.
    - Removed the MetaMode string truncation warning for older X Servers when
      saving the X Configuration file from nvidia-settings.
  * Refresh patches.
  * NVCtrlLib.h is only usable after including X11/Xlib.h.  (Closes: #978192)
  * Restore hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Jan 2021 15:42:37 +0100

nvidia-settings (455.45.01-1) unstable; urgency=medium

  * New upstream release 455.45.01.
  * New upstream release 455.38.
    - Fixed a bug in nvidia-settings that caused the SLI Mosaic Configuration
      dialog to position available displays incorrectly when enabling SLI
      Mosaic.
  * New upstream release 455.28.
    - Moved layout configuration of SLI Mosaic displays in nvidia-settings from
      its own dedicated page to a dialog available on the X Server Display
      Configuration page.
  * New upstream release 410 series.
    - Updated nvidia-settings to allow continued interaction with other
      pages and help content while editing application profiles.
  * Bump watch file version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jan 2021 15:08:14 +0100

nvidia-settings-tesla-450 (450.119.03-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 450.119.03.

  [ Pino Toscano ]
  * Install nvidia-settings.png in the hicolor icon theme, rather than the
    legacy pixmaps location.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 10:40:16 +0200

nvidia-settings-tesla-450 (450.102.04-1) unstable; urgency=medium

  * New upstream release 450.102.04.
  * Bump watch file version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Jan 2021 01:52:46 +0100

nvidia-settings-tesla-450 (450.80.02-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-450.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 16:35:59 +0100

nvidia-settings (450.80.02-1) unstable; urgency=medium

  * New upstream release 450.80.02.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 16:33:07 +0100

nvidia-settings-tesla-450 (450.66-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-450.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Sep 2020 01:28:36 +0200

nvidia-settings (450.66-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 450.66.
  * conditionalize-gtk2.patch: New, support building without GTK+ 2.
  * Build only the GTK+ 3 variant.  (Closes: #967658)

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Sep 2020 01:41:50 +0200

nvidia-settings-tesla-450 (450.57-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the Tesla 450 driver.
  * Build only a single binary package, no -dev package or shared library.



=== debian/control ===
Source: nvidia-settings-tesla-470
Section: contrib/x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev | libgl-dev,
               libgtk-3-dev,
               libjansson-dev,
               libvdpau-dev (>= 0.9),
               libxv-dev,
               libxxf86vm-dev,
               m4,
               pkg-config,
               xserver-xorg-dev
Build-Conflicts: libxnvctrl-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-470/master

Package: nvidia-settings-tesla-470
Architecture: amd64 arm64 ppc64el
Pre-Depends: nvidia-installer-cleanup
Depends: ${misc:Depends}, ${nvidia}-alternative, ${shlibs:Depends}
Recommends: lib${nvidia}-ml1,
            libgl1-${nvidia}-glvnd-glx,
            ${nvidia}-vdpau-driver
Provides: nvidia-settings-gtk-${nvidia:Version}
Conflicts: nvidia-settings-gtk-${nvidia:Version}
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_TESLA		?=
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA),$(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version),$(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version)))
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
nvidia_private		 = nvidia/$(if $(variant),$(variant),current)
watch_version		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
VARIANT_CONTROL	:= $(wildcard debian/nvidia-settings$(-variant).*)
RENAME_CONTROL	 = $(filter-out $(VARIANT_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(-variant).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png

execute_after_dh_auto_clean:
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'nvidia=$(nvidia)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)'

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#VARIANT#}{$(-variant)}g;' \
		-e 's{#VARIANT_DESC#}{$(variant_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for variant packaging
ifneq (,$(variant))
nvidia-settings$(-variant).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings-tesla-470 470.141.03

=== debian/changelog ===
nvidia-settings-tesla-470 (470.141.03-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 Aug 2022 13:46:49 -0700

nvidia-settings-tesla-470 (470.141.03-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Aug 2022 15:16:26 +0200

nvidia-settings (470.141.03-1) unstable; urgency=medium

  * New upstream release 470.141.03.
    - Fixed a bug that prevented nvidia-settings from accurately reflecting
      changes to some configuration properties.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Aug 2022 14:45:12 +0200

nvidia-settings-tesla-470 (470.129.06-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jun 2022 20:01:46 +0200

nvidia-settings (470.129.06-1) unstable; urgency=medium

  * New upstream release 470.129.06.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 04:14:03 +0200

nvidia-settings-tesla-470 (470.103.01-2) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 18:27:00 +0200

nvidia-settings (470.103.01-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 16:22:46 +0200

nvidia-settings-tesla-470 (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 23:56:01 +0100

nvidia-settings-tesla-470 (470.103.01-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 10:21:01 +0100

nvidia-settings (470.103.01-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 21:55:14 +0100

nvidia-settings (470.103.01-1) unstable; urgency=medium

  * New upstream release 470.103.01.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 09:45:25 +0100

nvidia-settings-tesla-470 (470.94-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jan 2022 18:54:36 +0100

nvidia-settings (470.94-1) unstable; urgency=medium

  * New upstream release 470.94.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jan 2022 15:00:24 +0100

nvidia-settings-tesla-470 (470.82.00-1) unstable; urgency=medium

  * Rebuild as nvidia-settings-tesla-470.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 17:29:24 +0100

nvidia-settings (470.82.00-1) unstable; urgency=medium

  * New upstream release 470.82.00.
  * Bump Standards-Version to 4.6.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 15:33:48 +0100

nvidia-settings (470.57.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:17:32 +0200

nvidia-settings-tesla-460 (460.91.03-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jun 2022 18:40:10 +0200

nvidia-settings-tesla-460 (460.91.03-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 15:49:29 +0200

nvidia-settings-tesla-450 (450.119.03-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 22:28:22 +0200

nvidia-settings-tesla-450 (450.119.03-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Apr 2022 03:59:55 +0200

nvidia-settings-tesla-418 (418.113-8) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 13:14:15 +0200

nvidia-settings-tesla-418 (418.113-7) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 23:46:20 +0200

nvidia-settings-legacy-390xx (390.151-1) unstable; urgency=medium

  * New upstream release 390.151.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 12:11:55 +0200

nvidia-settings-legacy-390xx (390.147-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 22:42:19 +0200

nvidia-settings-legacy-390xx (390.147-1) unstable; urgency=medium

  * New upstream release 390.147.


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libgl1-mesa-dev | libgl-dev,
                libgtk-3-dev,
                libjansson-dev,
-               libvdpau-dev (>= 0.9),
+               libvdpau-dev,
                libxv-dev,
                libxxf86vm-dev,
                m4,
@@ -16,7 +16,7 @@
                xserver-xorg-dev
 Build-Conflicts: libxnvctrl-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-470/master

## nvidia-settings-tesla-470 470.161.03

=== debian/changelog ===
nvidia-settings-tesla-470 (470.161.03-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Mar 2023 13:47:42 -0800

nvidia-settings-tesla-470 (470.161.03-1) unstable; urgency=medium

  * New upstream release 470.161.03.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 23:57:09 +0100

nvidia-settings-tesla-470 (470.141.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 11:57:59 +0200

nvidia-settings (470.141.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 10:58:58 +0200

nvidia-settings-tesla-460 (460.91.03-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 23:20:13 +0100

nvidia-settings-tesla-450 (450.119.03-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 23:10:40 +0100

nvidia-settings-tesla-418 (418.113-9) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 19:03:42 +0100

nvidia-settings-legacy-390xx (390.157-1) unstable; urgency=medium

  * New upstream release 390.157.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 18:47:27 +0100

nvidia-settings-legacy-340xx (340.108-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 14:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libgtk-3-dev,
                libjansson-dev,
                libvdpau-dev,
@@ -16,10 +16,10 @@
                xserver-xorg-dev
 Build-Conflicts: libxnvctrl-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-470/master
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-470/main
 
 Package: nvidia-settings-tesla-470
 Architecture: amd64 arm64 ppc64el

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
@@ -73,13 +75,13 @@
 		-V'nvidia:VariantDesc=$(variant_description)' \
 		-V'nvidia:Version=$(NVIDIA_RELEASE)'
 
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
 # used by dpkg-genchanges
 debian/substvars:
 	echo 'nvidia:VariantDesc=$(variant_description)' > $@
-
 
 # Generating control files
 debian/%:: debian/%.in debian/rules debian/rules.defs

## nvidia-settings-tesla-470 470.256.02

=== debian/changelog ===
nvidia-settings-tesla-470 (470.256.02-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Oct 2025 13:41:14 -0700

nvidia-settings-tesla-470 (470.256.02-1) unstable; urgency=medium

  * New upstream release 470.256.02.
  * Switch B-D from pkg-config to pkgconf.
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Oct 2024 23:18:09 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libxv-dev,
                libxxf86vm-dev,
                m4,
-               pkg-config,
+               pkgconf,
                xserver-xorg-dev
 Build-Conflicts: libxnvctrl-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-470/main
